<form [formGroup]="form">
    <div style="padding: 20px 20px 5px 20px;">
        <div class="row">
            <div class="col-sm-12">
                <mat-form-field appearance="outline" class="full-width">
                    <mat-label>Communication Related To</mat-label>
                    <app-dropdown-search [data]="communicationRelated" formControlName="communicationRelatedTo"></app-dropdown-search>
                    <mat-error *ngIf="form.get('communicationRelatedTo').hasError('required')">
                        This field is required.
                    </mat-error>
                </mat-form-field>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-12">
                <mat-form-field appearance="outline" class="full-width">
                    <mat-label>Mode Of Communication</mat-label>
                    <app-dropdown-search [data]="madeOfCommunication" formControlName="madeOfCommunication"></app-dropdown-search>
                    <mat-error *ngIf="form.get('madeOfCommunication').hasError('required')">
                        This field is required.
                    </mat-error>
                </mat-form-field>
            </div>
        </div>
        <div class="d-flex">

            <div class="flex-fill mr-2">
                <mat-form-field appearance="outline" class="full-width">
                    <mat-label>Status</mat-label>
                    <app-dropdown-search [data]="noteStatus" formControlName="noteStatus"></app-dropdown-search>
                    <mat-error *ngIf="form.get('noteStatus').hasError('required')">
                        This field is required.
                    </mat-error>
                </mat-form-field>
            </div>

            <div class="ml-2">
                <button type="button" class="no-border-bg-btn d-flex flex-column align-items-center" (click)="fileSelectService.selectFile()">
                    <mat-icon>attach_file</mat-icon>
                    <span style="font-size: 12px;" class="mt-2">Attach File</span>
                </button>
            </div>
        </div>

        <div class="d-flex flex-column" *ngIf="fileSelectService.selectedFiles && fileSelectService.selectedFiles.length > 0">

            <div class="d-flex" *ngFor="let file of fileSelectService.selectedFiles; let i = index;"
                 style="
                    background-color: #f5f5f5;
                    border: 1px solid transparent;
                    font-weight: bold;
                    margin: 0 0 9px;
                    overflow-y: hidden;
                    padding: 4px 4px 4px 8px;">
                <span style="color: #00AEEF;" class="cursor-pointer"
                      (click)="fileSelectService.previewImage(i)">{{file.name}}</span>
                <span class="ml-2">({{file.size}})</span>
                <div class="d-flex flex-fill" style="place-content: end;">
                    <mat-icon class="cursor-pointer" (click)="fileSelectService.remove(i)">close</mat-icon>
                </div>
            </div>

        </div>

        <div class="col-xl-12 d-flex align-items-left pr-0 pl-0 position-relative">
            <mat-form-field [appearance]="apperance" class="full-width">
              <textarea matInput formControlName="messageBody" rows="10" (ngModelChange)="onTextChange($event)" appCharLimit
                        [frmGroup]="form" fcName="messageBody" [max]="maxChars"></textarea>

                <mat-error *ngIf="form.get('messageBody').hasError('exceedLimit')">
                    {{form.get('messageBody').getError('exceedLimit')}}
                </mat-error>

                <mat-error *ngIf="form.get('messageBody').hasError('required')">
                    This field is required.
                </mat-error>
            </mat-form-field>
            <div class="sms-editor-bottom"
                 [ngStyle]="{'bottom': form.get('messageBody').invalid && form.get('messageBody').touched ? '40px' : '30px'}">
                <div class="sms-editor-bottom-inner">
                    <div class="charactertype-wrapper">
                        Characters Typed : {{characterlength}}/{{maxChars}}
                    </div>
                </div>
            </div>
        </div>

    </div>
</form>
